
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #527

Enabling the Dynamic Range Compresor plugin causes a segfault

March 27, 2015 15:50 - daniel g

Status: Closed Start date: March 27, 2015

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/compressor Estimated time: 0.00 hour

Target version: 3.6.2   

Affects version: 3.6.1   

Description

sistem asus k50in

os ubuntu 14.10

kernel 3.16.0-33

pulseaudio 1.4.0

audacious crash when i activate plugin Dynamic Range Compresor

Mar 27 01:56:13 darkzone kernel: [83268.126995] audacious

23472

: segfault at 7fa7b1707000 ip 00007fa7b1706614 sp

00007fa7c4f42b30 error 4 in compressor.so[7fa7b1705000+2000]

History

#1 - March 27, 2015 15:53 - daniel g

whit audacious 3.5.2 I do not have this problem

#2 - March 29, 2015 11:34 - Chaden Cross

make sure you have installed the latest version and if this does not help de-install the whole software and install it new...

#3 - March 29, 2015 18:51 - John Lindgren

Please provide a backtrace.

#4 - March 30, 2015 20:53 - Thomas Lange

- Subject changed from crash audacious to Enabling the Dynamic Range Compresor plugin causes a segfault

- Assignee deleted (daniel g)

- Target version deleted (3.6.1)

- Affects version 3.6 added

- Affects version deleted (3.6.1)

I could not reproduce the crash with Ubuntu 14.10 and Audacious 3.6 from the WebUpd8 PPA. How did you install Audacious?

#5 - March 31, 2015 12:48 - daniel g

Audacious is installed form ppa WebUpd8.

@John Lindgren could you help whit backtrace

output by verbose

INFO vfs.cc:93 [VFSFile]: <0x7f99180056d0> open (mode r) http://asculta-server19.radiolive247.ro:9000/

INFO effect.cc:63 [effect_start]: Starting Bauer Stereophonic-to-Binaural (BS2B) at 2 channels, 44100 Hz.

INFO effect.cc:63 [effect_start]: Starting Crystalizer at 2 channels, 44100 Hz.

INFO effect.cc:63 [effect_start]: Starting Dynamic Range Compressor at 2 channels, 44100 Hz.

INFO effect.cc:63 [effect_start]: Starting Extra Stereo at 2 channels, 44100 Hz.

INFO effect.cc:63 [effect_start]: Starting Channel Mixer at 2 channels, 44100 Hz.

INFO effect.cc:63 [effect_start]: Starting SoX Resampler at 2 channels, 44100 Hz.

INFO output.cc:133 [setup_output]: Reusing output stream, format 11, 2 channels, 192000 Hz.

INFO output.cc:342 [output_set_replay_gain]: Replay Gain info:

INFO output.cc:343 [output_set_replay_gain]:  album gain: 0,000000 dB
INFO output.cc:344 [output_set_replay_gain]:  album peak: 0,000000

INFO output.cc:345 [output_set_replay_gain]:  track gain: 0,000000 dB

INFO output.cc:346 [output_set_replay_gain]:  track peak: 0,000000

Segmentation fault (core dumped)

dany@darkzone:~$

#6 - March 31, 2015 12:55 - daniel g

- File Fișier text added

#7 - April 01, 2015 02:36 - John Lindgren

Google "gdb tutorial".

#8 - April 02, 2015 16:24 - daniel g

(gdb) run

Starting program: /usr/bin/audacious

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7ffff243a700 (LWP 31632)]

[New Thread 0x7ffff1c39700 (LWP 31633)]

[New Thread 0x7ffff1438700 (LWP 31634)]

[New Thread 0x7fffea60d700 (LWP 31635)]

[Thread 0x7fffea60d700 (LWP 31635) exited]

[New Thread 0x7fffea60d700 (LWP 31636)]

[New Thread 0x7fffe10c3700 (LWP 31637)]

[New Thread 0x7fffdda1a700 (LWP 31641)]

[New Thread 0x7fffdcf60700 (LWP 31642)]

[Thread 0x7fffdcf60700 (LWP 31642) exited]

[Thread 0x7ffff1c39700 (LWP 31633) exited]

[New Thread 0x7ffff1c39700 (LWP 31645)]

[New Thread 0x7fffdcf60700 (LWP 31646)]

[Thread 0x7fffe10c3700 (LWP 31637) exited]

[New Thread 0x7fffe10c3700 (LWP 31647)]

[New Thread 0x7fffaedb0700 (LWP 31648)]

[Thread 0x7fffaedb0700 (LWP 31648) exited]

[Thread 0x7ffff1c39700 (LWP 31645) exited]

[New Thread 0x7ffff1c39700 (LWP 31649)]

[New Thread 0x7fffaedb0700 (LWP 31650)]

[Thread 0x7fffaedb0700 (LWP 31650) exited]

[New Thread 0x7fffaedb0700 (LWP 31651)]

[Thread 0x7fffe10c3700 (LWP 31647) exited]

[Thread 0x7ffff1c39700 (LWP 31649) exited]

[New Thread 0x7ffff1c39700 (LWP 31652)]

[New Thread 0x7fffe10c3700 (LWP 31653)]

[Thread 0x7fffe10c3700 (LWP 31653) exited]

[Thread 0x7fffaedb0700 (LWP 31651) exited]

[New Thread 0x7fffaedb0700 (LWP 31654)]

[Thread 0x7ffff1c39700 (LWP 31652) exited]

[New Thread 0x7ffff1c39700 (LWP 31655)]

[Thread 0x7fffaedb0700 (LWP 31654) exited]

[New Thread 0x7fffaedb0700 (LWP 31656)]

[New Thread 0x7fffe10c3700 (LWP 31657)]

[Thread 0x7ffff1c39700 (LWP 31655) exited]

[Thread 0x7fffaedb0700 (LWP 31656) exited]

[New Thread 0x7fffaedb0700 (LWP 31658)]

[New Thread 0x7ffff1c39700 (LWP 31659)]

[Thread 0x7ffff1c39700 (LWP 31659) exited]

[Thread 0x7fffe10c3700 (LWP 31657) exited]

[New Thread 0x7fffe10c3700 (LWP 31660)]

[Thread 0x7fffe10c3700 (LWP 31660) exited]

[New Thread 0x7fffe10c3700 (LWP 31661)]

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread 0x7fffea60d700 (LWP 31636)]

0x00007fffb3817614 in ?? () from /usr/lib/x86_64-linux-gnu/audacious/Effect/compressor.so

(gdb)
#9 - April 02, 2015 23:22 - John Lindgren

There's a lot of noise there but no backtrace.  In case you couldn't find it in the tutorial, the gdb command to get a backtrace is "backtrace".

#10 - April 12, 2015 05:20 - John Lindgren

Are you still interesting in having us look into this problem?  If so, we need a backtrace.

#11 - April 21, 2015 01:57 - daniel g

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread 0x7fffea60d700 (LWP 15495)]

0x00007fffbe049614 in ?? () from /usr/lib/x86_64-linux-gnu/audacious/Effect/compressor.so

(gdb) bt

#0  0x00007fffbe049614 in ?? () from /usr/lib/x86_64-linux-gnu/audacious/Effect/compressor.so

#1  0x00007ffff7bab370 in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.3

#2  0x00007ffff7bb07af in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.3

#3  0x00007ffff7bb22b1 in InputPlugin::write_audio(void const*, int) () from /usr/lib/x86_64-linux-gnu/libaudcore.so.3

#4  0x00007fffc299f875 in ?? () from /usr/lib/x86_64-linux-gnu/audacious/Input/madplug.so

#5  0x00007ffff7bb1b7b in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.3

#6  0x00007ffff79810a5 in start_thread (arg=0x7fffea60d700) at pthread_create.c:309

#7  0x00007ffff68aecfd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

(gdb)

#12 - April 21, 2015 02:01 - daniel g

(gdb) bt full

#0  0x00007fffce355614 in ?? () from /usr/lib/x86_64-linux-gnu/audacious/Effect/compressor.so

No symbol table info available.

#1  0x00007ffff7bab370 in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.3

No symbol table info available.

#2  0x00007ffff7bb07af in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.3

No symbol table info available.

#3  0x00007ffff7bb22b1 in InputPlugin::write_audio(void const*, int) () from /usr/lib/x86_64-linux-gnu/libaudcore.so.3

No symbol table info available.

#4  0x00007fffcf304875 in ?? () from /usr/lib/x86_64-linux-gnu/audacious/Input/madplug.so

No symbol table info available.

#5  0x00007ffff7bb1b7b in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.3

No symbol table info available.

#6  0x00007ffff79810a5 in start_thread (arg=0x7fffea60d700) at pthread_create.c:309

 res = <optimized out>

pd = 0x7fffea60d700

now = <optimized out>

unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140737125603072, 4494409539773852400, 1, 6736512, 140737125603776,

140737125603072, -4494436948670616848, -4494391656153158928}, mask_was_saved = 0}}, priv = {pad = {0x0,

0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

not_first_call = <optimized out>

pagesize_m1 = <optimized out>

sp = <optimized out>

freesize = <optimized out>

__PRETTY_FUNCTION = "start_thread"

#7  0x00007ffff68aecfd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

No locals.

(gdb)

May 17, 2025 3/5

http://redmine.audacious-media-player.org/issues/2
http://redmine.audacious-media-player.org/issues/3
http://redmine.audacious-media-player.org/issues/4
http://redmine.audacious-media-player.org/issues/5
http://redmine.audacious-media-player.org/issues/6
http://redmine.audacious-media-player.org/issues/7
http://redmine.audacious-media-player.org/issues/2
http://redmine.audacious-media-player.org/issues/3
http://redmine.audacious-media-player.org/issues/4
http://redmine.audacious-media-player.org/issues/5
http://redmine.audacious-media-player.org/issues/6
http://redmine.audacious-media-player.org/issues/7


#13 - April 21, 2015 14:00 - John Lindgren

Okay, this is progress, but you apparently have a version of Audacious with no debug symbols.  See if there is an audacious-dbg package you can

install.

#14 - April 21, 2015 15:38 - daniel g

i installed audacious-dbg and audacious-plugins-dbg (now version is audacious 3.6.1)

gdb) bt full

#0  0x00007fffb5350614 in calc_peak (length=17640, data=0x7fffd847c004) at compressor.cc:107

        sum = 1633,58899

        end = 0x7fffd8485100

#1  Compressor::process (this=<optimized out>, data=...) at compressor.cc:172

        new_peak = <optimized out>

        offset = 3048

        remain = 1048

#2  0x00007ffff7bab370 in effect_process (data=...) at effect.cc:111

        cur = 0x7ffff7dd8d30 <buffer1>

        e = <optimized out>

#3  0x00007ffff7bb07af in write_output (stop_time=<optimized out>, size=1, data=0x7fffd80b28c0) at output.cc:2

86

        samples = 4096

        stopped = <optimized out>

#4  output_write_audio (data=data@entry=0x7fffd80b28c0, size=size@entry=16384, stop_time=<optimized out>) at o

utput.cc:369

        good = false

#5  0x00007ffff7bb22b1 in InputPlugin::write_audio (data=0x7fffd80b28c0, length=16384) at playback.cc:561

        a = -1

        b = -1

        stop_time = <optimized out>

#6  0x00007fffdd697784 in AACDecoder::play (this=<optimized out>, filename=<optimized out>, file=...) at aac.c

c:468

        seek_value = <optimized out>

        info = {bytesconsumed = 187, samples = 4096, channels = 2 '\002', error = 0 '\000', samplerate = 44100

, 

          sbr = 1 '\001', object_type = 5 '\005', header_type = 2 '\002', num_front_channels = 2 '\002', 

          num_side_channels = 0 '\000', num_back_channels = 0 '\000', num_lfe_channels = 0 '\000', 

          channel_position = "\002\003", '\000' <repeats 61 times>, ps = 0 '\000'}

        audio = 0x7fffd80b28c0

        decoder = 0x7fffd8169e60

        buf = "...
#15 - April 22, 2015 04:55 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.6.2

- % Done changed from 0 to 100

- Affects version 3.6.1 added

- Affects version deleted (3.6)

Fixed.

Files

Fișier text 19.7 KB March 31, 2015 daniel g
